package android.usp.ime.tcc.geocommunication;

public class StatusCode {
	
	/**
	 * usado por um novo jogador para informar ao gateway que ele entrou na rede
	 */
	public static String CODE_1 = "code_1";
	
	/**
	 * usado para o gateway responder ao novo jogador que o jogo j comeou e ele deve sair.
	 */
	public static String CODE_2 = "code_2";
	
	/**
	 * usado para o gateway responder ao novo jogador que o jogo ainda no comeou e que ele deve esperar.
	 */
	public static String CODE_3 = "code_3";
	
	/**
	 * usado para enviar a batata.
	 */
	public static String CODE_4 = "code_4";
	
	/**
	 * usado para enviar um GEOACK
	 */
	public static String CODE_5 = "code_5";
	
	/**
	 * usado para informar a quem enviou a batata que ocorreu um problema na recepo da batata.
	 */
	public static String CODE_6 = "code_6";
	
	/**
	 * usado para informar que a batata foi recebida com sucesso.
	 */
	public static String CODE_7 = "code_7";
	
	/**
	 * Avisar a todos que voce esta saindo do jogo
	 */
	public static String CODE_8 = "code_8";
	
	/**
	 * Usado para finalizar o jogo
	 */
	public static String CODE_9 = "code_9";
	
}
